/*
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package net.sf.jftp.util;

public class StringUtils
{

    public static String removeStart(String str, String what)
    {
        if(str.startsWith(what))
        {
            int x = what.length();
            return str.substring(x);
        }
        else
            return str;
    }

    public static String cutAfter(String str, char c)
    {
        for(int i=0; i<str.length(); i++)
        {
            if(str.charAt(i) == c)
            {
                //   System.out.println(str.substring(i+1));
                return str.substring(i+1);
            }
        }
        return str;
    }

    public static String contains(String[] tmp, String[] str)
    {
        for(int i=0; i<tmp.length; i++)
        {
            for(int j=0; j<str.length; j++)
            {
                if(tmp[i].startsWith(str[j]))
                {
                    return tmp[i];
                }
            }
        }
        return "";
    }

    public static boolean strstr(String tmp, char str)
    {
        for(int i=0; i<tmp.length(); i++)
        {
            if(tmp.charAt(i) == str)
            {
                return true;
            }
        }
        return false;
    }

    public static String cut(String tmp, String where)
    {
        StringBuffer ret = new StringBuffer();
        for(int i=0; i<tmp.length(); i++)
        {
            if(!string(tmp.charAt(i)).equals(where))
            {
                ret.append(string(tmp.charAt(i)));
            }
            if(string(tmp.charAt(i)).equals(where))
            {
                return ret.toString();
            }
        }
        return ret.toString();
    }

    public static String string(char c)
    {
        char[] buf = new char[1];
        buf[0] = c;
        return new String(buf);
    }

}
